summaryrefslogtreecommitdiff
path: root/tests/misc/shuf
diff options
context:
space:
mode:
Diffstat (limited to 'tests/misc/shuf')
-rwxr-xr-xtests/misc/shuf24
1 files changed, 6 insertions, 18 deletions
diff --git a/tests/misc/shuf b/tests/misc/shuf
index fdbedee61..ac59c55ff 100755
--- a/tests/misc/shuf
+++ b/tests/misc/shuf
@@ -21,39 +21,27 @@ if test "$VERBOSE" = yes; then
shuf --version
fi
-pwd=`pwd`
-t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
-trap '(exit $?); exit $?' 1 2 13 15
+. $srcdir/../test-lib.sh
-framework_failure=0
-mkdir -p $tmp || framework_failure=1
-cd $tmp || framework_failure=1
-seq 100 > in || framework_failure=1
-
-if test $framework_failure = 1; then
- echo "$0: failure in testing framework" 1>&2
- (exit 1); exit 1
-fi
+seq 100 > in || framework_failure
fail=0
-
shuf in >out || fail=1
# Fail if the input is the same as the output.
# This is a probabilistic test :-)
# However, the odds of failure are very low: 1 in 100! (~ 1 in 10^158)
-cmp in out > /dev/null && { fail=1; echo "not random?" 1>&2; }
+compare in out > /dev/null && { fail=1; echo "not random?" 1>&2; }
# Fail if the sorted output is not the same as the input.
sort -n out > out1
-cmp in out1 || { fail=1; echo "not a permutation" 1>&2; }
+compare in out1 || { fail=1; echo "not a permutation" 1>&2; }
# Exercise shuf's -i option.
shuf -i 1-100 > out || fail=1
-cmp in out > /dev/null && { fail=1; echo "not random?" 1>&2; }
+compare in out > /dev/null && { fail=1; echo "not random?" 1>&2; }
sort -n out > out1
-cmp in out1 || { fail=1; echo "not a permutation" 1>&2; }
+compare in out1 || { fail=1; echo "not a permutation" 1>&2; }
# Exercise shuf's -e option.
t=`shuf -e a b c d e | sort | fmt`